Subject: bug#2289: wishlist with fix: losing X-windows clipboard

From: Craig Falls <[email-masked]>
Date: Thu, 12 Feb 2009 19:04:58 -0500

Thanks.  I sort of feel like current-kill should time out, whether this new
option is set or not, if that's possible in emacs lisp.

On Wed, Feb 11, 2009 at 9:33 PM, Stefan Monnier <[email-masked]>wrote:

> severity 2289 wishlist
> thanks
>
> > Fix: The following one-line patch seems to work, but I'm no emacs
> > hacker, so among other things, there's no configuration.  It just
> > saves the clipboard to the kill-ring before killing if yank would
> > result in yanking the clipboard instead of the top of the kill ring.
>
> I use a similar patch myself.
> And actually I tried to get it accepted, but it was turned down because
> of the problems it introduces when the "current-kill" hangs (e.g. when
> the holder of the selection is suspended).
> We should add it together, conditional on some config var.
> That will be for Emacs-23.2, tho.
>
>
>        Stefan
>